<!DOCTYPE html><html lang="zh-CN" data-theme="light"><head><meta charset="UTF-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width,initial-scale=1"><title>LVM | SeMaik</title><meta name="author" content="ZuSir"><meta name="copyright" content="ZuSir"><meta name="format-detection" content="telephone=no"><meta name="theme-color" content="#ffffff"><meta name="description" content="lvm基本概念 物理存储设备(Physical Media)：指系统的存储设备文件，比如 &#x2F;dev&#x2F;sda、&#x2F;dev&#x2F;sdb 等。PV(物理卷 Physical Volume)：指硬盘分区或者从逻辑上看起来和硬盘分区类似的设备(比如 RAID 设备)。VG(卷组 Volume Group)：类似于非 LVM 系统中的物理硬盘，一个 LVM 卷组由一个或者多个 PV(物理卷)组成。LV(逻辑卷 Lo">
<meta property="og:type" content="article">
<meta property="og:title" content="LVM">
<meta property="og:url" content="http://example.com/2021/02/10/LVM/index.html">
<meta property="og:site_name" content="SeMaik">
<meta property="og:description" content="lvm基本概念 物理存储设备(Physical Media)：指系统的存储设备文件，比如 &#x2F;dev&#x2F;sda、&#x2F;dev&#x2F;sdb 等。PV(物理卷 Physical Volume)：指硬盘分区或者从逻辑上看起来和硬盘分区类似的设备(比如 RAID 设备)。VG(卷组 Volume Group)：类似于非 LVM 系统中的物理硬盘，一个 LVM 卷组由一个或者多个 PV(物理卷)组成。LV(逻辑卷 Lo">
<meta property="og:locale" content="zh_CN">
<meta property="og:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg">
<meta property="article:published_time" content="2021-02-10T03:01:00.000Z">
<meta property="article:modified_time" content="2021-02-10T03:10:26.000Z">
<meta property="article:author" content="ZuSir">
<meta name="twitter:card" content="summary">
<meta name="twitter:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg"><link rel="shortcut icon" href="https://myit.icu/favicon.ico"><link rel="canonical" href="http://example.com/2021/02/10/LVM/"><link rel="preconnect" href="//cdn.jsdelivr.net"/><link rel="preconnect" href="//busuanzi.ibruce.info"/><link rel="stylesheet" href="/css/index.css"><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free/css/all.min.css" media="print" onload="this.media='all'"><script>const GLOBAL_CONFIG = { 
  root: '/',
  algolia: undefined,
  localSearch: undefined,
  translate: undefined,
  noticeOutdate: undefined,
  highlight: {"plugin":"highlighjs","highlightCopy":true,"highlightLang":true},
  copy: {
    success: '复制成功',
    error: '复制错误',
    noSupport: '浏览器不支持'
  },
  relativeDate: {
    homepage: true,
    post: false
  },
  runtime: '',
  date_suffix: {
    just: '刚刚',
    min: '分钟前',
    hour: '小时前',
    day: '天前',
    month: '个月前'
  },
  copyright: undefined,
  lightbox: 'fancybox',
  Snackbar: undefined,
  source: {
    jQuery: 'https://cdn.jsdelivr.net/npm/jquery@latest/dist/jquery.min.js',
    justifiedGallery: {
      js: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/js/jquery.justifiedGallery.min.js',
      css: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/css/justifiedGallery.min.css'
    },
    fancybox: {
      js: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.js',
      css: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.css'
    }
  },
  isPhotoFigcaption: false,
  islazyload: false,
  isanchor: false
}</script><script id="config-diff">var GLOBAL_CONFIG_SITE = { 
  isPost: true,
  isHome: false,
  isHighlightShrink: undefined,
  isToc: true,
  postUpdate: '2021-02-10 11:10:26'
}</script><noscript><style type="text/css">
  #nav {
    opacity: 1
  }
  .justified-gallery img {
    opacity: 1
  }

  #recent-posts time,
  #post-meta time {
    display: inline !important
  }
</style></noscript><script>(win=>{
    win.saveToLocal = {
      set: function setWithExpiry(key, value, ttl) {
        if (ttl === 0) return
        const now = new Date()
        const expiryDay = ttl * 86400000
        const item = {
          value: value,
          expiry: now.getTime() + expiryDay,
        }
        localStorage.setItem(key, JSON.stringify(item))
      },

      get: function getWithExpiry(key) {
        const itemStr = localStorage.getItem(key)

        if (!itemStr) {
          return undefined
        }
        const item = JSON.parse(itemStr)
        const now = new Date()

        if (now.getTime() > item.expiry) {
          localStorage.removeItem(key)
          return undefined
        }
        return item.value
      }
    }
  
    win.getScript = url => new Promise((resolve, reject) => {
      const script = document.createElement('script')
      script.src = url
      script.async = true
      script.onerror = reject
      script.onload = script.onreadystatechange = function() {
        const loadState = this.readyState
        if (loadState && loadState !== 'loaded' && loadState !== 'complete') return
        script.onload = script.onreadystatechange = null
        resolve()
      }
      document.head.appendChild(script)
    })
  
      const asideStatus = saveToLocal.get('aside-status')
      if (asideStatus !== undefined) {
        if (asideStatus === 'hide') {
          document.documentElement.classList.add('hide-aside')
        } else {
          document.documentElement.classList.remove('hide-aside')
        }
      }
    })(window)</script><link href="/css/style.css"><meta name="generator" content="Hexo 5.3.0"><link rel="alternate" href="/atom.xml" title="SeMaik" type="application/atom+xml">
</head><body><div id="web_bg"></div><div id="sidebar"><div id="menu-mask"></div><div id="sidebar-menus"><div class="author-avatar"><img class="avatar-img" src="/img/123.jpeg" onerror="onerror=null;src='/img/123.jpeg'" alt="avatar"/></div><div class="site-data"><div class="data-item is-center"><div class="data-item-link"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div></div><div class="data-item is-center"><div class="data-item-link"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><hr/><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div></div></div><div class="post" id="body-wrap"><header class="post-bg" id="page-header" style="background-image: url('https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg')"><nav id="nav"><span id="blog_name"><a id="site-name" href="/">SeMaik</a></span><div id="menus"><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div><div id="toggle-menu"><a class="site-page"><i class="fas fa-bars fa-fw"></i></a></div></div></nav><div id="post-info"><h1 class="post-title">LVM</h1><div id="post-meta"><div class="meta-firstline"><span class="post-meta-date"><i class="far fa-calendar-alt fa-fw post-meta-icon"></i><span class="post-meta-label">发表于</span><time class="post-meta-date-created" datetime="2021-02-10T03:01:00.000Z" title="发表于 2021-02-10 11:01:00">2021-02-10</time><span class="post-meta-separator">|</span><i class="fas fa-history fa-fw post-meta-icon"></i><span class="post-meta-label">更新于</span><time class="post-meta-date-updated" datetime="2021-02-10T03:10:26.000Z" title="更新于 2021-02-10 11:10:26">2021-02-10</time></span><span class="post-meta-categories"><span class="post-meta-separator">|</span><i class="fas fa-inbox fa-fw post-meta-icon"></i><a class="post-meta-categories" href="/categories/Linux/">Linux</a></span></div><div class="meta-secondline"><span class="post-meta-separator">|</span><span class="post-meta-pv-cv"><i class="far fa-eye fa-fw post-meta-icon"></i><span class="post-meta-label">阅读量:</span><span id="busuanzi_value_page_pv"></span></span></div></div></div></header><main class="layout" id="content-inner"><div id="post"><article class="post-content" id="article-container"><h2 id="lvm基本概念"><a href="#lvm基本概念" class="headerlink" title="lvm基本概念"></a>lvm基本概念</h2><blockquote>
<p>物理存储设备(Physical Media)：指系统的存储设备文件，比如 /dev/sda、/dev/sdb 等。<br>PV(物理卷 Physical Volume)：指硬盘分区或者从逻辑上看起来和硬盘分区类似的设备(比如 RAID 设备)。<br>VG(卷组 Volume Group)：类似于非 LVM 系统中的物理硬盘，一个 LVM 卷组由一个或者多个 PV(物理卷)组成。<br>LV(逻辑卷 Logical Volume)：类似于非 LVM 系统上的磁盘分区，LV 建立在 VG 上，可以在 LV 上建立文件系统。</p>
</blockquote>
<h2 id="lvm优缺点"><a href="#lvm优缺点" class="headerlink" title="lvm优缺点"></a>lvm优缺点</h2><blockquote>
<p>LVM 的优点如下：<br>文件系统可以跨多个磁盘，因此大小不再受物理磁盘的限制。<br>可以在系统运行状态下动态地扩展文件系统大小。<br>可以以镜像的方式冗余重要数据到多个物理磁盘上。<br>可以很方便地导出整个卷组，并导入到另外一台机器上。<br>LVM 也有一些缺点：<br>在从卷组中移除一个磁盘的时候必须使用 reducevg 命令(这个命令要求root权限，并且不允许在快照卷组中使用)。<br>当卷组中的一个磁盘损坏时，整个卷组都会受影响。<br>因为增加了一个逻辑层，存储的性能会受影响。</p>
</blockquote>
<h2 id="安装lvm工具"><a href="#安装lvm工具" class="headerlink" title="安装lvm工具"></a>安装lvm工具</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">yum -y install lvm2</span><br></pre></td></tr></table></figure>
<h2 id="操作指令"><a href="#操作指令" class="headerlink" title="操作指令"></a>操作指令</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br></pre></td><td class="code"><pre><span class="line">创建物理卷 ：pvcreate 设备名1  &#123;设备名2 ... ...&#125;</span><br><span class="line">创建卷组 ：vgcreate 卷组名 物理卷名1  物理卷名2</span><br><span class="line">创建逻辑卷 ：lvcreate -L 容量大小 -n 逻辑卷名 卷组名</span><br><span class="line">删除逻辑卷：lvremove 逻辑卷的绝对路径</span><br><span class="line">删除卷组：vgremove 卷组名</span><br><span class="line">删除物理卷：pvremove 物理卷设备名</span><br><span class="line">减少卷组大小 ：vgreduce 卷组名 物理卷设备名</span><br><span class="line">增加卷组大小 ：vgextend 卷组名 物理卷设备名</span><br><span class="line">扩展逻辑卷大小 ：lvextend -L +大小 &#x2F;dev&#x2F;卷组名&#x2F;逻辑卷名</span><br><span class="line">减少逻辑卷大小 ：lvreduce -L -大小 &#x2F;dev&#x2F;卷组名&#x2F;逻辑卷名</span><br><span class="line">显示物理卷：pvdisplay 物理卷设备名</span><br><span class="line">显示卷组：vgdisplay 卷组名</span><br><span class="line">显示逻辑卷：lvdisplay 逻辑卷名。</span><br></pre></td></tr></table></figure>
<h2 id="磁盘配额"><a href="#磁盘配额" class="headerlink" title="磁盘配额"></a>磁盘配额</h2><h3 id="Linux磁盘限额的特点："><a href="#Linux磁盘限额的特点：" class="headerlink" title="Linux磁盘限额的特点："></a>Linux磁盘限额的特点：</h3><blockquote>
<p>作用范围：针对指定的文件系统（分区）<br>限制对象：用户账号、组账号<br>限制类型：磁盘容量、文件数量<br>限制方法：软限制、硬限制</p>
</blockquote>
<figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br><span class="line">20</span><br><span class="line">21</span><br><span class="line">22</span><br><span class="line">23</span><br><span class="line">24</span><br><span class="line">25</span><br><span class="line">26</span><br><span class="line">27</span><br><span class="line">28</span><br><span class="line">29</span><br><span class="line">30</span><br><span class="line">31</span><br><span class="line">32</span><br><span class="line">33</span><br><span class="line">34</span><br><span class="line">35</span><br><span class="line">36</span><br><span class="line">37</span><br><span class="line">38</span><br><span class="line">39</span><br><span class="line">40</span><br><span class="line">41</span><br><span class="line">42</span><br><span class="line">43</span><br><span class="line">44</span><br><span class="line">45</span><br><span class="line">46</span><br><span class="line">47</span><br><span class="line">48</span><br><span class="line">49</span><br><span class="line">50</span><br><span class="line">51</span><br><span class="line">52</span><br><span class="line">53</span><br><span class="line">54</span><br><span class="line">55</span><br><span class="line">56</span><br><span class="line">57</span><br><span class="line">58</span><br><span class="line">59</span><br><span class="line">60</span><br><span class="line">61</span><br><span class="line">62</span><br><span class="line">63</span><br><span class="line">64</span><br><span class="line">65</span><br><span class="line">66</span><br><span class="line">67</span><br><span class="line">68</span><br><span class="line">69</span><br><span class="line">70</span><br><span class="line">71</span><br><span class="line">72</span><br><span class="line">73</span><br><span class="line">74</span><br><span class="line">75</span><br><span class="line">76</span><br><span class="line">77</span><br><span class="line">78</span><br><span class="line">79</span><br><span class="line">80</span><br><span class="line">81</span><br><span class="line">82</span><br><span class="line">83</span><br><span class="line">84</span><br><span class="line">85</span><br><span class="line">86</span><br><span class="line">87</span><br><span class="line">88</span><br><span class="line">89</span><br><span class="line">90</span><br><span class="line">91</span><br><span class="line">92</span><br><span class="line">93</span><br><span class="line">94</span><br><span class="line">95</span><br><span class="line">96</span><br><span class="line">97</span><br><span class="line">98</span><br><span class="line">99</span><br><span class="line">100</span><br><span class="line">101</span><br><span class="line">102</span><br><span class="line">103</span><br><span class="line">104</span><br><span class="line">105</span><br><span class="line">106</span><br><span class="line">107</span><br><span class="line">108</span><br><span class="line">109</span><br><span class="line">110</span><br><span class="line">111</span><br><span class="line">112</span><br><span class="line">113</span><br><span class="line">114</span><br><span class="line">115</span><br><span class="line">116</span><br><span class="line">117</span><br><span class="line">118</span><br><span class="line">119</span><br><span class="line">120</span><br><span class="line">121</span><br><span class="line">122</span><br><span class="line">123</span><br><span class="line">124</span><br><span class="line">125</span><br><span class="line">126</span><br><span class="line">127</span><br><span class="line">128</span><br><span class="line">129</span><br><span class="line">130</span><br><span class="line">131</span><br><span class="line">132</span><br><span class="line">133</span><br><span class="line">134</span><br><span class="line">135</span><br><span class="line">136</span><br><span class="line">137</span><br><span class="line">138</span><br><span class="line">139</span><br><span class="line">140</span><br><span class="line">141</span><br><span class="line">142</span><br><span class="line">143</span><br><span class="line">144</span><br><span class="line">145</span><br><span class="line">146</span><br><span class="line">147</span><br><span class="line">148</span><br><span class="line">149</span><br><span class="line">150</span><br><span class="line">151</span><br><span class="line">152</span><br><span class="line">153</span><br><span class="line">154</span><br><span class="line">155</span><br><span class="line">156</span><br><span class="line">157</span><br><span class="line">158</span><br><span class="line">159</span><br><span class="line">160</span><br><span class="line">161</span><br><span class="line">162</span><br><span class="line">163</span><br><span class="line">164</span><br><span class="line">165</span><br><span class="line">166</span><br><span class="line">167</span><br><span class="line">168</span><br><span class="line">169</span><br><span class="line">170</span><br><span class="line">171</span><br><span class="line">172</span><br><span class="line">173</span><br><span class="line">174</span><br><span class="line">175</span><br><span class="line">176</span><br><span class="line">177</span><br><span class="line">178</span><br><span class="line">179</span><br><span class="line">180</span><br><span class="line">181</span><br><span class="line">182</span><br><span class="line">183</span><br><span class="line">184</span><br><span class="line">185</span><br><span class="line">186</span><br><span class="line">187</span><br><span class="line">188</span><br><span class="line">189</span><br><span class="line">190</span><br><span class="line">191</span><br><span class="line">192</span><br><span class="line">193</span><br><span class="line">194</span><br><span class="line">195</span><br><span class="line">196</span><br><span class="line">197</span><br><span class="line">198</span><br><span class="line">199</span><br><span class="line">200</span><br><span class="line">201</span><br><span class="line">202</span><br><span class="line">203</span><br><span class="line">204</span><br><span class="line">205</span><br><span class="line">206</span><br><span class="line">207</span><br><span class="line">208</span><br><span class="line">209</span><br><span class="line">210</span><br><span class="line">211</span><br><span class="line">212</span><br><span class="line">213</span><br><span class="line">214</span><br><span class="line">215</span><br><span class="line">216</span><br><span class="line">217</span><br><span class="line">218</span><br><span class="line">219</span><br><span class="line">220</span><br><span class="line">221</span><br><span class="line">222</span><br><span class="line">223</span><br><span class="line">224</span><br><span class="line">225</span><br><span class="line">226</span><br><span class="line">227</span><br><span class="line">228</span><br><span class="line">229</span><br><span class="line">230</span><br><span class="line">231</span><br><span class="line">232</span><br><span class="line">233</span><br><span class="line">234</span><br><span class="line">235</span><br><span class="line">236</span><br><span class="line">237</span><br><span class="line">238</span><br><span class="line">239</span><br><span class="line">240</span><br><span class="line">241</span><br><span class="line">242</span><br><span class="line">243</span><br><span class="line">244</span><br><span class="line">245</span><br><span class="line">246</span><br><span class="line">247</span><br><span class="line">248</span><br><span class="line">249</span><br><span class="line">250</span><br><span class="line">251</span><br><span class="line">252</span><br><span class="line">253</span><br><span class="line">254</span><br><span class="line">255</span><br><span class="line">256</span><br><span class="line">257</span><br><span class="line">258</span><br><span class="line">259</span><br><span class="line">260</span><br><span class="line">261</span><br><span class="line">262</span><br><span class="line">263</span><br><span class="line">264</span><br><span class="line">265</span><br><span class="line">266</span><br><span class="line">267</span><br><span class="line">268</span><br><span class="line">269</span><br><span class="line">270</span><br><span class="line">271</span><br><span class="line">272</span><br><span class="line">273</span><br><span class="line">274</span><br><span class="line">275</span><br><span class="line">276</span><br><span class="line">277</span><br><span class="line">278</span><br><span class="line">279</span><br><span class="line">280</span><br><span class="line">281</span><br><span class="line">282</span><br><span class="line">283</span><br><span class="line">284</span><br><span class="line">285</span><br><span class="line">286</span><br><span class="line">287</span><br><span class="line">288</span><br><span class="line">289</span><br><span class="line">290</span><br><span class="line">291</span><br><span class="line">292</span><br><span class="line">293</span><br><span class="line">294</span><br><span class="line">295</span><br><span class="line">296</span><br><span class="line">297</span><br><span class="line">298</span><br><span class="line">299</span><br><span class="line">300</span><br><span class="line">301</span><br><span class="line">302</span><br><span class="line">303</span><br><span class="line">304</span><br><span class="line">305</span><br><span class="line">306</span><br><span class="line">307</span><br><span class="line">308</span><br><span class="line">309</span><br><span class="line">310</span><br><span class="line">311</span><br><span class="line">312</span><br><span class="line">313</span><br><span class="line">314</span><br><span class="line">315</span><br><span class="line">316</span><br><span class="line">317</span><br><span class="line">318</span><br><span class="line">319</span><br><span class="line">320</span><br><span class="line">321</span><br><span class="line">322</span><br><span class="line">323</span><br><span class="line">324</span><br><span class="line">325</span><br><span class="line">326</span><br><span class="line">327</span><br><span class="line">328</span><br><span class="line">329</span><br><span class="line">330</span><br><span class="line">331</span><br><span class="line">332</span><br><span class="line">333</span><br><span class="line">334</span><br><span class="line">335</span><br><span class="line">336</span><br><span class="line">337</span><br><span class="line">338</span><br><span class="line">339</span><br><span class="line">340</span><br><span class="line">341</span><br><span class="line">342</span><br><span class="line">343</span><br><span class="line">344</span><br><span class="line">345</span><br><span class="line">346</span><br><span class="line">347</span><br><span class="line">348</span><br><span class="line">349</span><br><span class="line">350</span><br><span class="line">351</span><br><span class="line">352</span><br><span class="line">353</span><br><span class="line">354</span><br><span class="line">355</span><br><span class="line">356</span><br><span class="line">357</span><br><span class="line">358</span><br><span class="line">359</span><br><span class="line">360</span><br><span class="line">361</span><br><span class="line">362</span><br><span class="line">363</span><br><span class="line">364</span><br><span class="line">365</span><br></pre></td><td class="code"><pre><span class="line">1、挂载一块硬盘：（120G）</span><br><span class="line">创建分区：</span><br><span class="line">[root@localhost 桌面]# fdisk –l		&#x2F;&#x2F;查看当前挂载的硬盘情况</span><br><span class="line">Disk &#x2F;dev&#x2F;sda: 107.4 GB, 107374182400 bytes</span><br><span class="line">255 heads, 63 sectors&#x2F;track, 13054 cylinders</span><br><span class="line">Units &#x3D; cylinders of 16065 * 512 &#x3D; 8225280 bytes</span><br><span class="line">Sector size (logical&#x2F;physical): 512 bytes &#x2F; 512 bytes</span><br><span class="line">I&#x2F;O size (minimum&#x2F;optimal): 512 bytes &#x2F; 512 bytes</span><br><span class="line">Disk identifier: 0x00023cf9</span><br><span class="line"></span><br><span class="line">   Device Boot      Start         End      Blocks   Id  System</span><br><span class="line">&#x2F;dev&#x2F;sda1   *           1          26      204800   83  Linux</span><br><span class="line">Partition 1 does not end on cylinder boundary.</span><br><span class="line">&#x2F;dev&#x2F;sda2              26        2576    20480000   83  Linux</span><br><span class="line">&#x2F;dev&#x2F;sda3            2576        5125    20480000   83  Linux</span><br><span class="line">&#x2F;dev&#x2F;sda4            5125       13055    63691776    5  Extended</span><br><span class="line">&#x2F;dev&#x2F;sda5            5126        7675    20480000   83  Linux</span><br><span class="line">&#x2F;dev&#x2F;sda6            7675        7936     2097152   82  Linux swap &#x2F; Solaris</span><br><span class="line">&#x2F;dev&#x2F;sda7            7937       13055    41111552   83  Linux</span><br><span class="line"></span><br><span class="line">Disk &#x2F;dev&#x2F;sdb: 128.8 GB, 128849018880 bytes</span><br><span class="line">255 heads, 63 sectors&#x2F;track, 15665 cylinders</span><br><span class="line">Units &#x3D; cylinders of 16065 * 512 &#x3D; 8225280 bytes</span><br><span class="line">Sector size (logical&#x2F;physical): 512 bytes &#x2F; 512 bytes</span><br><span class="line">I&#x2F;O size (minimum&#x2F;optimal): 512 bytes &#x2F; 512 bytes</span><br><span class="line">Disk identifier: 0x00000000</span><br><span class="line"></span><br><span class="line">[root@localhost 桌面]# fdisk &#x2F;dev&#x2F;sdb		&#x2F;&#x2F;进入交互式界面</span><br><span class="line">Device contains neither a valid DOS partition table, nor Sun, SGI or OSF disklabel</span><br><span class="line">Building a new DOS disklabel with disk identifier 0x16d0d17d.</span><br><span class="line">Changes will remain in memory only, until you decide to write them.</span><br><span class="line">After that, of course, the previous content won&#39;t be recoverable.</span><br><span class="line"></span><br><span class="line">Warning: invalid flag 0x0000 of partition table 4 will be corrected by w(rite)</span><br><span class="line"></span><br><span class="line">WARNING: DOS-compatible mode is deprecated. It&#39;s strongly recommended to</span><br><span class="line">         switch off the mode (command &#39;c&#39;) and change display units to</span><br><span class="line">         sectors (command &#39;u&#39;).</span><br><span class="line"></span><br><span class="line">Command (m for help): n</span><br><span class="line">Command action</span><br><span class="line">   e   extended</span><br><span class="line">   p   primary partition (1-4)</span><br><span class="line">p</span><br><span class="line">Partition number (1-4): 1</span><br><span class="line">First cylinder (1-15665, default 1): </span><br><span class="line">Using default value 1</span><br><span class="line">Last cylinder, +cylinders or +size&#123;K,M,G&#125; (1-15665, default 15665): +20G</span><br><span class="line"></span><br><span class="line">Command (m for help): n</span><br><span class="line">Command action</span><br><span class="line">   e   extended</span><br><span class="line">   p   primary partition (1-4)</span><br><span class="line">p</span><br><span class="line">Partition number (1-4): 2</span><br><span class="line">First cylinder (2613-15665, default 2613): </span><br><span class="line">Using default value 2613</span><br><span class="line">Last cylinder, +cylinders or +size&#123;K,M,G&#125; (2613-15665, default 15665): +20G</span><br><span class="line"></span><br><span class="line">Command (m for help): n</span><br><span class="line">Command action</span><br><span class="line">   e   extended</span><br><span class="line">   p   primary partition (1-4)</span><br><span class="line">p</span><br><span class="line">Partition number (1-4): 3</span><br><span class="line">First cylinder (5225-15665, default 5225): </span><br><span class="line">Using default value 5225</span><br><span class="line">Last cylinder, +cylinders or +size&#123;K,M,G&#125; (5225-15665, default 15665): +20G</span><br><span class="line"></span><br><span class="line">Command (m for help): p</span><br><span class="line"></span><br><span class="line">Disk &#x2F;dev&#x2F;sdb: 128.8 GB, 128849018880 bytes</span><br><span class="line">255 heads, 63 sectors&#x2F;track, 15665 cylinders</span><br><span class="line">Units &#x3D; cylinders of 16065 * 512 &#x3D; 8225280 bytes</span><br><span class="line">Sector size (logical&#x2F;physical): 512 bytes &#x2F; 512 bytes</span><br><span class="line">I&#x2F;O size (minimum&#x2F;optimal): 512 bytes &#x2F; 512 bytes</span><br><span class="line">Disk identifier: 0x16d0d17d</span><br><span class="line"></span><br><span class="line">   Device Boot      Start         End      Blocks   Id  System</span><br><span class="line">&#x2F;dev&#x2F;sdb1               1        2612    20980858+  83  Linux</span><br><span class="line">&#x2F;dev&#x2F;sdb2            2613        5224    20980890   83  Linux</span><br><span class="line">&#x2F;dev&#x2F;sdb3            5225        7836    20980890   83  Linux</span><br><span class="line"></span><br><span class="line">2、改8e（逻辑卷类型）</span><br><span class="line">Command (m for help): t</span><br><span class="line">Partition number (1-4): 1</span><br><span class="line">Hex code (type L to list codes): 8e</span><br><span class="line">Changed system type of partition 1 to 8e (Linux LVM)</span><br><span class="line"></span><br><span class="line">Command (m for help): t</span><br><span class="line">Partition number (1-4): 2</span><br><span class="line">Hex code (type L to list codes): 8e</span><br><span class="line">Changed system type of partition 2 to 8e (Linux LVM)</span><br><span class="line"></span><br><span class="line">Command (m for help): t</span><br><span class="line">Partition number (1-4): 3</span><br><span class="line">Hex code (type L to list codes): 8e</span><br><span class="line">Changed system type of partition 3 to 8e (Linux LVM)</span><br><span class="line"></span><br><span class="line">Command (m for help): p</span><br><span class="line"></span><br><span class="line">Disk &#x2F;dev&#x2F;sdb: 128.8 GB, 128849018880 bytes</span><br><span class="line">255 heads, 63 sectors&#x2F;track, 15665 cylinders</span><br><span class="line">Units &#x3D; cylinders of 16065 * 512 &#x3D; 8225280 bytes</span><br><span class="line">Sector size (logical&#x2F;physical): 512 bytes &#x2F; 512 bytes</span><br><span class="line">I&#x2F;O size (minimum&#x2F;optimal): 512 bytes &#x2F; 512 bytes</span><br><span class="line">Disk identifier: 0x16d0d17d</span><br><span class="line"></span><br><span class="line">   Device Boot      Start         End      Blocks   Id  System</span><br><span class="line">&#x2F;dev&#x2F;sdb1               1        2612    20980858+  8e  Linux LVM</span><br><span class="line">&#x2F;dev&#x2F;sdb2            2613        5224    20980890   8e  Linux LVM</span><br><span class="line">&#x2F;dev&#x2F;sdb3            5225        7836    20980890   8e  Linux LVM</span><br><span class="line"></span><br><span class="line">Command (m for help): w</span><br><span class="line">The partition table has been altered!</span><br><span class="line"></span><br><span class="line">Calling ioctl() to re-read partition table.</span><br><span class="line">Syncing disks.</span><br><span class="line"></span><br><span class="line">3、创建物理卷：</span><br><span class="line">[root@www ~]# pvcreate &#x2F;dev&#x2F;sdb&#123;1,2,3&#125;</span><br><span class="line">  Physical volume &quot;&#x2F;dev&#x2F;sdb1&quot; successfully created</span><br><span class="line">  Physical volume &quot;&#x2F;dev&#x2F;sdb2&quot; successfully created</span><br><span class="line">  Physical volume &quot;&#x2F;dev&#x2F;sdb3&quot; successfully created</span><br><span class="line">[root@www ~]# pvdisplay （查看）</span><br><span class="line">  &quot;&#x2F;dev&#x2F;sdb1&quot; is a new physical volume of &quot;20.01 GiB&quot;</span><br><span class="line">  --- NEW Physical volume ---</span><br><span class="line">  PV Name               &#x2F;dev&#x2F;sdb1</span><br><span class="line">  VG Name               </span><br><span class="line">  PV Size               20.01 GiB</span><br><span class="line">  Allocatable           NO</span><br><span class="line">  PE Size               0   </span><br><span class="line">  Total PE              0</span><br><span class="line">  Free PE               0</span><br><span class="line">  Allocated PE          0</span><br><span class="line">  PV UUID               ISJqbg-Bbsn-SmaH-96dq-YRLf-KvZ1-aGC8PB</span><br><span class="line">   </span><br><span class="line">  &quot;&#x2F;dev&#x2F;sdb2&quot; is a new physical volume of &quot;20.01 GiB&quot;</span><br><span class="line">  --- NEW Physical volume ---</span><br><span class="line">  PV Name               &#x2F;dev&#x2F;sdb2</span><br><span class="line">  VG Name               </span><br><span class="line">  PV Size               20.01 GiB</span><br><span class="line">  Allocatable           NO</span><br><span class="line">  PE Size               0   </span><br><span class="line">  Total PE              0</span><br><span class="line">  Free PE               0</span><br><span class="line">  Allocated PE          0</span><br><span class="line">  PV UUID               PXryjG-r2gN-d6vY-T0yp-kAGo-ywOo-W7upqv</span><br><span class="line">   </span><br><span class="line">  &quot;&#x2F;dev&#x2F;sdb3&quot; is a new physical volume of &quot;20.01 GiB&quot;</span><br><span class="line">  --- NEW Physical volume ---</span><br><span class="line">  PV Name               &#x2F;dev&#x2F;sdb3</span><br><span class="line">  VG Name               </span><br><span class="line">  PV Size               20.01 GiB</span><br><span class="line">  Allocatable           NO</span><br><span class="line">  PE Size               0   </span><br><span class="line">  Total PE              0</span><br><span class="line">  Free PE               0</span><br><span class="line">  Allocated PE          0</span><br><span class="line">  PV UUID               OjRATX-tGQJ-rrei-bCFu-HAmf-XdrS-5OcrdU</span><br><span class="line"></span><br><span class="line">4、创建卷组：</span><br><span class="line">[root@www ~]# vgcreate juanzu &#x2F;dev&#x2F;sdb1 &#x2F;dev&#x2F;sdb2 &#x2F;dev&#x2F;sdb3		</span><br><span class="line">&#x2F;&#x2F;创建了一个叫juanzu的卷组</span><br><span class="line">  Volume group &quot;juanzu&quot; successfully created</span><br><span class="line"></span><br><span class="line">[root@www ~]# vgdisplay （查看卷组）</span><br><span class="line">  --- Volume group ---</span><br><span class="line">  VG Name               juanzu</span><br><span class="line">  System ID             </span><br><span class="line">  Format                lvm2</span><br><span class="line">  Metadata Areas        3</span><br><span class="line">  Metadata Sequence No  1</span><br><span class="line">  VG Access             read&#x2F;write</span><br><span class="line">  VG Status             resizable</span><br><span class="line">  MAX LV                0</span><br><span class="line">  Cur LV                0</span><br><span class="line">  Open LV               0</span><br><span class="line">  Max PV                0</span><br><span class="line">  Cur PV                3</span><br><span class="line">  Act PV                3</span><br><span class="line">  VG Size               60.02 GiB</span><br><span class="line">  PE Size               4.00 MiB</span><br><span class="line">  Total PE              15366</span><br><span class="line">  Alloc PE &#x2F; Size       0 &#x2F; 0   </span><br><span class="line">  Free  PE &#x2F; Size       15366 &#x2F; 60.02 GiB</span><br><span class="line">  VG UUID               wM41Ud-Nqq6-LaI4-11lG-9P7h-AClr-F9GfU1</span><br><span class="line"></span><br><span class="line">5、创建逻辑卷：</span><br><span class="line">[root@www ~]# lvcreate -L 30G -n luojijuan juanzu</span><br><span class="line">		&#x2F;&#x2F;从卷组sb中划出30G创建了一个逻辑卷luojijuan</span><br><span class="line">  Logical volume &quot;luojijuan&quot; created</span><br><span class="line">[root@www ~]# lvdisplay </span><br><span class="line">  --- Logical volume ---</span><br><span class="line">  LV Path                &#x2F;dev&#x2F;juanzu&#x2F;luojijuan</span><br><span class="line">  LV Name                luojijuan</span><br><span class="line">  VG Name                juanzu</span><br><span class="line">  LV UUID                7zXdd7-1xFz-Uq82-g3mB-MyfW-0uf3-97SCag</span><br><span class="line">  LV Write Access        read&#x2F;write</span><br><span class="line">  LV Creation host, time www, 2016-10-18 21:41:17 +0800</span><br><span class="line">  LV Status              available</span><br><span class="line">  # open                 0</span><br><span class="line">  LV Size                30.00 GiB</span><br><span class="line">  Current LE             7680</span><br><span class="line">  Segments               2</span><br><span class="line">  Allocation             inherit</span><br><span class="line">  Read ahead sectors     auto</span><br><span class="line">  - currently set to     256</span><br><span class="line">  Block device           253:0</span><br><span class="line"></span><br><span class="line">[root@www ~]# lvdisplay &#x2F;dev&#x2F;juanzu&#x2F;luojijuan （单独看一个逻辑卷）</span><br><span class="line">  --- Logical volume ---</span><br><span class="line">  LV Path                &#x2F;dev&#x2F;juanzu&#x2F;luojijuan</span><br><span class="line">  LV Name                luojijuan</span><br><span class="line">  VG Name                juanzu</span><br><span class="line">  LV UUID                7zXdd7-1xFz-Uq82-g3mB-MyfW-0uf3-97SCag</span><br><span class="line">  LV Write Access        read&#x2F;write</span><br><span class="line">  LV Creation host, time www, 2016-10-18 21:41:17 +0800</span><br><span class="line">  LV Status              available</span><br><span class="line">  # open                 0</span><br><span class="line">  LV Size                30.00 GiB</span><br><span class="line">  Current LE             7680</span><br><span class="line">  Segments               2</span><br><span class="line">  Allocation             inherit</span><br><span class="line">  Read ahead sectors     auto</span><br><span class="line">  - currently set to     256</span><br><span class="line">  Block device           253:0</span><br><span class="line"></span><br><span class="line">6、给逻辑卷扩容</span><br><span class="line">[root@www ~]# lvextend -L +10G &#x2F;dev&#x2F;juanzu&#x2F;luojijuan</span><br><span class="line">		&#x2F;&#x2F;给逻辑卷luojijuan扩容10G，由30G扩充到了40G</span><br><span class="line">  Extending logical volume s11 to 40.00 GiB</span><br><span class="line">  Logical volume s11 successfully resized</span><br><span class="line">[root@www ~]# lvdisplay &#x2F;dev&#x2F;juanzu&#x2F;luojijuan </span><br><span class="line">  --- Logical volume ---</span><br><span class="line">  LV Path                &#x2F;dev&#x2F;juanzu&#x2F;luojijuan</span><br><span class="line">  LV Name                luojijuan</span><br><span class="line">  VG Name                juanzu</span><br><span class="line">  LV UUID                7zXdd7-1xFz-Uq82-g3mB-MyfW-0uf3-97SCag</span><br><span class="line">  LV Write Access        read&#x2F;write</span><br><span class="line">  LV Creation host, time www, 2016-10-18 21:41:17 +0800</span><br><span class="line">  LV Status              available</span><br><span class="line">  # open                 0</span><br><span class="line">  LV Size                40.00 GiB</span><br><span class="line">  Current LE             10240</span><br><span class="line">  Segments               2</span><br><span class="line">  Allocation             inherit</span><br><span class="line">  Read ahead sectors     auto</span><br><span class="line">  - currently set to     256</span><br><span class="line">  Block device           253:0</span><br><span class="line"></span><br><span class="line">7、格式化</span><br><span class="line">[root@www ~]# mkfs.ext4 &#x2F;dev&#x2F;juanzu&#x2F;luojijuan </span><br><span class="line">mke2fs 1.41.12 (17-May-2010)</span><br><span class="line">文件系统标签&#x3D;</span><br><span class="line">操作系统:Linux</span><br><span class="line">块大小&#x3D;4096 (log&#x3D;2)</span><br><span class="line">分块大小&#x3D;4096 (log&#x3D;2)</span><br><span class="line">Stride&#x3D;0 blocks, Stripe width&#x3D;0 blocks</span><br><span class="line">2621440 inodes, 10485760 blocks</span><br><span class="line">524288 blocks (5.00%) reserved for the super user</span><br><span class="line">第一个数据块&#x3D;0</span><br><span class="line">Maximum filesystem blocks&#x3D;4294967296</span><br><span class="line">320 block groups</span><br><span class="line">32768 blocks per group, 32768 fragments per group</span><br><span class="line">8192 inodes per group</span><br><span class="line">Superblock backups stored on blocks: </span><br><span class="line">	32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632, 2654208, </span><br><span class="line">	4096000, 7962624</span><br><span class="line"></span><br><span class="line">正在写入inode表: 完成                            </span><br><span class="line">Creating journal (32768 blocks): 完成</span><br><span class="line">Writing superblocks and filesystem accounting information: 完成</span><br><span class="line"></span><br><span class="line">This filesystem will be automatically checked every 38 mounts or</span><br><span class="line">180 days, whichever comes first.  Use tune2fs -c or -i to override.</span><br><span class="line"></span><br><span class="line">8、挂载</span><br><span class="line">[root@www ~]# mkdir &#x2F;aaa			创建&#x2F;aaa目录</span><br><span class="line">[root@www ~]# mount &#x2F;dev&#x2F;juanzu&#x2F;luojijuan &#x2F;aaa		挂载</span><br><span class="line">[root@www ~]# resize2fs &#x2F;dev&#x2F;juanzu&#x2F;luojijuan 		操作系统重新识别逻辑卷大小</span><br><span class="line">resize2fs 1.41.12 (17-May-2010)</span><br><span class="line">The filesystem is already 10485760 blocks long.  Nothing to do!</span><br><span class="line"></span><br><span class="line">9、验证：逻辑卷挂载成功</span><br><span class="line">[root@www ~]# mount</span><br><span class="line">&#x2F;dev&#x2F;sda7 on &#x2F; type ext4 (rw)</span><br><span class="line">proc on &#x2F;proc type proc (rw)</span><br><span class="line">sysfs on &#x2F;sys type sysfs (rw)</span><br><span class="line">devpts on &#x2F;dev&#x2F;pts type devpts (rw,gid&#x3D;5,mode&#x3D;620)</span><br><span class="line">tmpfs on &#x2F;dev&#x2F;shm type tmpfs (rw,rootcontext&#x3D;&quot;system_u:object_r:tmpfs_t:s0&quot;)</span><br><span class="line">&#x2F;dev&#x2F;sda1 on &#x2F;boot type ext4 (rw)</span><br><span class="line">&#x2F;dev&#x2F;sda2 on &#x2F;home type ext4 (rw)</span><br><span class="line">&#x2F;dev&#x2F;sda3 on &#x2F;tmp type ext4 (rw)</span><br><span class="line">&#x2F;dev&#x2F;sda5 on &#x2F;usr type ext4 (rw)</span><br><span class="line">none on &#x2F;proc&#x2F;sys&#x2F;fs&#x2F;binfmt_misc type binfmt_misc (rw)</span><br><span class="line">vmware-vmblock on &#x2F;var&#x2F;run&#x2F;vmblock-fuse type fuse.vmware-vmblock (rw,nosuid,nodev,default_permissions,allow_other)</span><br><span class="line">gvfs-fuse-daemon on &#x2F;root&#x2F;.gvfs type fuse.gvfs-fuse-daemon (rw,nosuid,nodev)</span><br><span class="line">&#x2F;dev&#x2F;mapper&#x2F;juanzu-luojijuan on &#x2F;aaa type ext4 (rw)</span><br><span class="line"></span><br><span class="line">10、重新挂载并添加配额功能：用户配额、组配额</span><br><span class="line">[root@www ~]# mount -o remount,usrquota,grpquota &#x2F;dev&#x2F;juanzu&#x2F;luojijuan &#x2F;aaa</span><br><span class="line">		&#x2F;&#x2F;重新挂载，并且为用户和组添加磁盘配额属性</span><br><span class="line">[root@www ~]# mount</span><br><span class="line">&#x2F;dev&#x2F;sda7 on &#x2F; type ext4 (rw)</span><br><span class="line">proc on &#x2F;proc type proc (rw)</span><br><span class="line">sysfs on &#x2F;sys type sysfs (rw)</span><br><span class="line">devpts on &#x2F;dev&#x2F;pts type devpts (rw,gid&#x3D;5,mode&#x3D;620)</span><br><span class="line">tmpfs on &#x2F;dev&#x2F;shm type tmpfs (rw,rootcontext&#x3D;&quot;system_u:object_r:tmpfs_t:s0&quot;)</span><br><span class="line">&#x2F;dev&#x2F;sda1 on &#x2F;boot type ext4 (rw)</span><br><span class="line">&#x2F;dev&#x2F;sda2 on &#x2F;home type ext4 (rw)</span><br><span class="line">&#x2F;dev&#x2F;sda3 on &#x2F;tmp type ext4 (rw)</span><br><span class="line">&#x2F;dev&#x2F;sda5 on &#x2F;usr type ext4 (rw)</span><br><span class="line">none on &#x2F;proc&#x2F;sys&#x2F;fs&#x2F;binfmt_misc type binfmt_misc (rw)</span><br><span class="line">vmware-vmblock on &#x2F;var&#x2F;run&#x2F;vmblock-fuse type fuse.vmware-vmblock (rw,nosuid,nodev,default_permissions,allow_other)</span><br><span class="line">gvfs-fuse-daemon on &#x2F;root&#x2F;.gvfs type fuse.gvfs-fuse-daemon (rw,nosuid,nodev)</span><br><span class="line">&#x2F;dev&#x2F;mapper&#x2F;juanzu-luojijuan on &#x2F;aaa type ext4 (rw,usrquota,grpquota)</span><br><span class="line"></span><br><span class="line">11、给aaa设置最大权限，方便后面写入（测试用，允许用户写入数据）</span><br><span class="line">[root@www ~]# chmod 777 &#x2F;aaa</span><br><span class="line">[root@www ~]# vim &#x2F;etc&#x2F;fstab（在文件中添加如下内容）</span><br><span class="line">&#x2F;dev&#x2F;juanzu&#x2F;luojijuan             &#x2F;aaa                    ext4    defaults,usrquota,grpquota      0 0</span><br><span class="line">[root@localhost ~]# setenforce 0&#123;关闭SELinux进程（沙盒），系统的安全守护进程&#125;</span><br><span class="line">[root@www ~]# ll &#x2F;aaa（确认里面没有配置文件）</span><br><span class="line"></span><br><span class="line">12、检测磁盘配额设置并生成配额文件：</span><br><span class="line">[root@www ~]# quotacheck -augcv</span><br><span class="line">quotacheck: Your kernel probably supports journaled quota but you are not using it. Consider switching to journaled quota to avoid running quotacheck after an unclean shutdown.</span><br><span class="line">quotacheck: Scanning &#x2F;dev&#x2F;mapper&#x2F;sb-s11 [&#x2F;aaa] done</span><br><span class="line">quotacheck: Cannot stat old user quota file &#x2F;aaa&#x2F;aquota.user: 没有那个文件或目录. Usage will not be substracted.</span><br><span class="line">quotacheck: Cannot stat old group quota file &#x2F;aaa&#x2F;aquota.group: 没有那个文件或目录. Usage will not be substracted.</span><br><span class="line">quotacheck: Cannot stat old user quota file &#x2F;aaa&#x2F;aquota.user: 没有那个文件或目录. Usage will not be substracted.</span><br><span class="line">quotacheck: Cannot stat old group quota file &#x2F;aaa&#x2F;aquota.group: 没有那个文件或目录. Usage will not be substracted.</span><br><span class="line">quotacheck: Checked 2 directories and 0 files</span><br><span class="line">quotacheck: Old file not found.</span><br><span class="line">quotacheck: Old file not found.</span><br><span class="line"></span><br><span class="line">13、已经生成配额文件</span><br><span class="line">[root@www ~]# ll &#x2F;aaa</span><br><span class="line">总用量 32</span><br><span class="line">-rw-------. 1 root root  6144 10月 18 22:46 aquota.group</span><br><span class="line">-rw-------. 1 root root  6144 10月 18 22:46 aquota.user</span><br><span class="line">drwx------. 2 root root 16384 10月 18 22:25 lost+found</span><br><span class="line"></span><br><span class="line">14、创建测试用户，并为用户设置磁盘配额（限制为可以创建3个文件，3个以上则不允许创建）</span><br><span class="line">[root@www ~]# useradd zhangsan</span><br><span class="line">[root@www ~]# edquota -u zhangsan</span><br><span class="line">Disk quotas for user zhangsan (uid 501):</span><br><span class="line">  Filesystem                   blocks       soft       hard     inodes     soft     hard</span><br><span class="line">  &#x2F;dev&#x2F;mapper&#x2F;juanzu-luojijuan                0          0          0          0        0        3</span><br><span class="line"></span><br><span class="line">15、启用磁盘配额：</span><br><span class="line">[root@www ~]# quotaon -ugv &#x2F;aaa</span><br><span class="line">&#x2F;dev&#x2F;mapper&#x2F;sb-s11 [&#x2F;aaa]: group quotas turned on</span><br><span class="line">&#x2F;dev&#x2F;mapper&#x2F;sb-s11 [&#x2F;aaa]: user quotas turned on</span><br><span class="line"></span><br><span class="line">16、验证：</span><br><span class="line">[root@www ~]# su zhangsan			切换到测试用户zhangsan</span><br><span class="line">[zhangsan@www root]$ cd &#x2F;aaa		切换到逻辑卷挂载目录</span><br><span class="line">[zhangsan@www aaa]$ touch 1.txt</span><br><span class="line">[zhangsan@www aaa]$ touch 2.txt</span><br><span class="line">[zhangsan@www aaa]$ touch 3.txt</span><br><span class="line">[zhangsan@www aaa]$ touch 4.txt		证明超出磁盘配额，无法创建第4个文件</span><br><span class="line">dm-0: write failed, user file limit reached.</span><br><span class="line">touch: 无法创建&quot;4.txt&quot;: 超出磁盘限额</span><br></pre></td></tr></table></figure></article><div class="post-copyright"><div class="post-copyright__author"><span class="post-copyright-meta">文章作者: </span><span class="post-copyright-info"><a href="mailto:undefined">ZuSir</a></span></div><div class="post-copyright__type"><span class="post-copyright-meta">文章链接: </span><span class="post-copyright-info"><a href="http://example.com/2021/02/10/LVM/">http://example.com/2021/02/10/LVM/</a></span></div><div class="post-copyright__notice"><span class="post-copyright-meta">版权声明: </span><span class="post-copyright-info">本博客所有文章除特别声明外，均采用 <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/" target="_blank">CC BY-NC-SA 4.0</a> 许可协议。转载请注明来自 <a href="http://example.com" target="_blank">SeMaik</a>！</span></div></div><div class="tag_share"><div class="post-meta__tag-list"></div><div class="post_share"><div class="social-share" data-image="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" data-sites="facebook,twitter,wechat,weibo,qq"></div><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/social-share.js/dist/css/share.min.css" media="print" onload="this.media='all'"><script src="https://cdn.jsdelivr.net/npm/social-share.js/dist/js/social-share.min.js" defer></script></div></div><nav class="pagination-post" id="pagination"><div class="prev-post pull-left"><a href="/2021/02/10/Centos/"><img class="prev-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of previous post"><div class="pagination-info"><div class="label">上一篇</div><div class="prev_info">Centos系统磁盘扩容</div></div></a></div><div class="next-post pull-right"><a href="/2021/02/10/DNS/"><img class="next-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of next post"><div class="pagination-info"><div class="label">下一篇</div><div class="next_info">DNS</div></div></a></div></nav></div><div class="aside-content" id="aside-content"><div class="card-widget card-info"><div class="card-info-avatar is-center"><img class="avatar-img" src="/img/123.jpeg" onerror="this.onerror=null;this.src='/img/123.jpeg'" alt="avatar"/><div class="author-info__name">ZuSir</div><div class="author-info__description">一个收藏回忆与分享技术的地方!</div></div><div class="card-info-data"><div class="card-info-data-item is-center"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div><div class="card-info-data-item is-center"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><div class="card-widget card-announcement"><div class="item-headline"><i class="fas fa-bullhorn card-announcement-animation"></i><span>公告</span></div><div class="announcement_content">This is my Blog! <img src="https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=3894415926,2787041726&fm=26&gp=0.jpg"></div></div><div class="sticky_layout"><div class="card-widget" id="card-toc"><div class="item-headline"><i class="fas fa-stream"></i><span>目录</span></div><div class="toc-content"><ol class="toc"><li class="toc-item toc-level-2"><a class="toc-link" href="#lvm%E5%9F%BA%E6%9C%AC%E6%A6%82%E5%BF%B5"><span class="toc-number">1.</span> <span class="toc-text">lvm基本概念</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#lvm%E4%BC%98%E7%BC%BA%E7%82%B9"><span class="toc-number">2.</span> <span class="toc-text">lvm优缺点</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E5%AE%89%E8%A3%85lvm%E5%B7%A5%E5%85%B7"><span class="toc-number">3.</span> <span class="toc-text">安装lvm工具</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%93%8D%E4%BD%9C%E6%8C%87%E4%BB%A4"><span class="toc-number">4.</span> <span class="toc-text">操作指令</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E7%A3%81%E7%9B%98%E9%85%8D%E9%A2%9D"><span class="toc-number">5.</span> <span class="toc-text">磁盘配额</span></a><ol class="toc-child"><li class="toc-item toc-level-3"><a class="toc-link" href="#Linux%E7%A3%81%E7%9B%98%E9%99%90%E9%A2%9D%E7%9A%84%E7%89%B9%E7%82%B9%EF%BC%9A"><span class="toc-number">5.1.</span> <span class="toc-text">Linux磁盘限额的特点：</span></a></li></ol></li></ol></div></div><div class="card-widget card-recent-post"><div class="item-headline"><i class="fas fa-history"></i><span>最新文章</span></div><div class="aside-list"><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Zabbix-Server5-0/" title="Shell程序——部署Zabbix-ServerV5.0">Shell程序——部署Zabbix-ServerV5.0</a><time datetime="2022-02-17T03:32:00.000Z" title="发表于 2022-02-17 11:32:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Harbor/" title="Shell程序——部署Harbor">Shell程序——部署Harbor</a><time datetime="2022-02-17T03:31:00.000Z" title="发表于 2022-02-17 11:31:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94Mysql%E5%A4%87%E4%BB%BD/" title="Shell程序——Mysql备份">Shell程序——Mysql备份</a><time datetime="2022-02-17T03:30:00.000Z" title="发表于 2022-02-17 11:30:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E6%89%B9%E9%87%8F%E4%BF%9D%E5%AD%98Docker-image/" title="Shell程序——批量保存Docker_image">Shell程序——批量保存Docker_image</a><time datetime="2022-02-17T03:29:00.000Z" title="发表于 2022-02-17 11:29:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E5%85%A8%E6%AE%B5IP%E6%89%AB%E6%8F%8F/" title="Shell程序——全段IP扫描">Shell程序——全段IP扫描</a><time datetime="2022-02-17T03:28:00.000Z" title="发表于 2022-02-17 11:28:00">2022-02-17</time></div></div></div></div></div></div></main><footer id="footer"><div id="footer-wrap"><div class="copyright">&copy;2020 - 2022 By ZuSir</div><div class="framework-info"><span>框架 </span><a target="_blank" rel="noopener" href="https://hexo.io">Hexo</a><span class="footer-separator">|</span><span>主题 </span><a target="_blank" rel="noopener" href="https://github.com/jerryc127/hexo-theme-butterfly">Butterfly</a></div></div></footer></div><div id="rightside"><div id="rightside-config-hide"><button id="readmode" type="button" title="阅读模式"><i class="fas fa-book-open"></i></button><button id="hide-aside-btn" type="button" title="单栏和双栏切换"><i class="fas fa-arrows-alt-h"></i></button></div><div id="rightside-config-show"><button id="rightside_config" type="button" title="设置"><i class="fas fa-cog fa-spin"></i></button><button class="close" id="mobile-toc-button" type="button" title="目录"><i class="fas fa-list-ul"></i></button><button id="go-up" type="button" title="回到顶部"><i class="fas fa-arrow-up"></i></button></div></div><div><script src="/js/utils.js"></script><script src="/js/main.js"></script><div class="js-pjax"></div><script defer="defer" id="fluttering_ribbon" mobile="true" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/dist/canvas-fluttering-ribbon.min.js"></script><script async data-pjax src="//busuanzi.ibruce.info/busuanzi/2.3/busuanzi.pure.mini.js"></script></div></body></html>